#!/bin/bash
# Default acpi script that takes an entry for all actions
#161014 sfs
#export DISPLAY=":0"
for x in /tmp/.X11-unix/*; do  export DISPLAY=":`echo $x | sed s#/tmp/.X11-unix/X##`" ; done
export PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin
export XAUTHORITY="/home/`sfsusr`/.Xauthority"
. "/home/`sfsusr`/.config/pass.conf"

case "$1" in
    button/power)
        case "$2" in
            PBTN|PWRF)
	sudo -u "`sfsusr`" sfs-shutdown #shutdown -h now
                logger 'PowerButton pressed'
                ;;
            *)
                logger "ACPI action undefined: $2"
                ;;
        esac
        ;;
    button/sleep)
        case "$2" in
            SLPB|SBTN)
	if [ "$suspend" ];then
	    xlock -s &
	    sleep 1
	fi
	sudo pm-suspend        
	[ "$suspend" ] && ntf -i "Введите пароль" "пользователя '`sfsusr`'" &
                logger 'SleepButton pressed'
                ;;
            *)
                logger "ACPI action undefined: $2"
                ;;
        esac
        ;;
    ac_adapter)
        case "$2" in
            AC|ACAD|ADP0)
                case "$4" in
                    00000000)
	#rfkill list |grep -A2 Blue |grep "Soft blocked: no" && 
        [ "`which hcitool`" ] || rfkill block bluetooth
	iwconfig | grep IEEE |grep "ESSID:off" && rfkill block wifi
        if [ ! "`which laptop_mode`" ];then
    	    for i in `ls /dev/sd[a-z]` ;do hdparm -B 1 $i ;done #254
	    xset s on +dpms ; dpms 0 0 60 #600
	fi
                        logger 'AC unpluged'
                        ;;
                    00000001)
	if [ ! "`which laptop_mode`" ];then
	    for i in `ls /dev/sd[a-z]` ;do hdparm -B 254 $i ;done #254
	    xset s on +dpms ; dpms 0 0 6000 #600
	fi
                        logger 'AC pluged'
                        ;;
                esac
                ;;
            *)
                logger "ACPI action undefined: $2"
                ;;
        esac
        ;;
    battery)
        case "$2" in
            BAT0)
                case "$4" in
                    00000000)
                        logger 'Battery online'
                        ;;
                    00000001)
                        logger 'Battery offline'
                        ;;
                esac
                ;;
            CPU0)
                ;;
            *)  logger "ACPI action undefined: $2" ;;
        esac
        ;;
    button/lid)
        case "$3" in
            close)
                logger 'LID closed'
	#physlock -d -u live
	if [ "$acpi" ];then
	    xlock -s &
	    sleep 1
	fi
	[ "$close" ] && sudo pm-suspend
	[ "$acpi" ] && ntf -i "Введите пароль" "пользователя '`sfsusr`'" &
                ;;
            open)
                logger 'LID opened'
                ;;
            *)
                logger "ACPI action undefined: $3"
                ;;
    esac
    ;;
    *)
        logger "ACPI group/action undefined: $1 / $2"
        ;;
esac

# vim:set ts=4 sw=4 ft=sh et:
